import UserController from "../controller/userController";
import User from "../entities/user";
import UserService from "../services/userService";
import GenericRouter from "./GenericRouter";

export default class UserRouter extends GenericRouter<UserController, UserService, User> {
  constructor() {
    super(new UserController());
    // extend generic routes by specific routes
    this.router.get("/name/:firstname", (req, res) => this.controller.getUserByFirstname(req, res));
  }
}
